Magick++: Magick::DrawableViewbox Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableViewbox Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableViewbox:
[legend]
Collaboration diagram for Magick::DrawableViewbox:
[legend]

## Public Member Functions
| DrawableViewbox (::ssize_t x1_,::ssize_t y1_,::ssize_t x2_,::ssize_t y2_)
| ~DrawableViewbox (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x1 (::ssize_t x1_)
::ssize_t | x1 (void) const
void | y1 (::ssize_t y1_)
::ssize_t | y1 (void) const
void | x2 (::ssize_t x2_)
::ssize_t | x2 (void) const
void | y2 (::ssize_t y2_)
::ssize_t | y2 (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2192 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableViewbox::DrawableViewbox | ( | ::ssize_t | x1_,
|  | ::ssize_t | y1_,
|  | ::ssize_t | x2_,
|  | ::ssize_t | y2_
| ) |  |
| inline

Definition at line 2195 of file Drawable.h.

Magick::DrawableViewbox::~DrawableViewbox | ( | void |  | ) |

Definition at line 1549 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableViewbox::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1557 of file Drawable.cpp.

void Magick::DrawableViewbox::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1553 of file Drawable.cpp.

void Magick::DrawableViewbox::x1 | ( | ::ssize_t | x1_ | ) |
| inline

Definition at line 2211 of file Drawable.h.

::ssize_t Magick::DrawableViewbox::x1 | ( | void |  | ) | const
| inline

Definition at line 2215 of file Drawable.h.

void Magick::DrawableViewbox::x2 | ( | ::ssize_t | x2_ | ) |
| inline

Definition at line 2229 of file Drawable.h.

::ssize_t Magick::DrawableViewbox::x2 | ( | void |  | ) | const
| inline

Definition at line 2233 of file Drawable.h.

void Magick::DrawableViewbox::y1 | ( | ::ssize_t | y1_ | ) |
| inline

Definition at line 2220 of file Drawable.h.

::ssize_t Magick::DrawableViewbox::y1 | ( | void |  | ) | const
| inline

Definition at line 2224 of file Drawable.h.

void Magick::DrawableViewbox::y2 | ( | ::ssize_t | y2_ | ) |
| inline

Definition at line 2238 of file Drawable.h.

::ssize_t Magick::DrawableViewbox::y2 | ( | void |  | ) | const
| inline

Definition at line 2242 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp